दिलचस्प पोस्ट
गतिशील लैंग रनटाइम बनाम परावर्तन क्या jtextfield और jlist का उपयोग करने के लिए एक स्वत: पूर्ण होना संभव है? SQL सर्वर में मैं एक विदेशी कुंजी कैसे बनाऊँ? इसका अर्थ यह है कि वैश्विक नामस्थान प्रदूषित होगा? क्या किसी ने वास्तव में फाइबोनैचि-हीप को कुशलतापूर्वक लागू किया है? जब वास्तव में यह (गुमनाम) आंतरिक कक्षाओं का उपयोग करने के लिए सुरक्षित रिसाव है? यूनिकोड अजगर में स्ट्रिंग द्वारा क्यों घोषित करें? मैं ब्राउज़र की क्लाइंट की मशीन / कंप्यूटर का नाम कैसे पढ़ सकता / सकती हूं? JQuery / Ajax से ActionResult विधि में पैरामीटर के रूप में मैं एक शब्दकोश कैसे पास कर सकता हूं? मैं SIGSEGV (विभाजन त्रुटि) को कैसे पकड़ सकता हूं और एंड्रॉइड पर जेएनआई के तहत एक स्टैक ट्रेस प्राप्त कर सकता हूं? दशमलव को बाइनरी जावा में परिवर्तित करना PHP में एक स्ट्रिंग से फ्लोटिंग पॉइंट नंबर निकालें Android पर गुरुत्वाकर्षण और लेआउट के बीच का अंतर फ़ाइल अपलोड नियंत्रण का उपयोग करके एकाधिक फ़ाइलों को कैसे चुनना है? जेबस जावा ईई कंटेनर और एक एक्जिक्यूटर्स सर्विस

एक्लिप्स के "कोई रिपॉजिटरी में शामिल होने के बारे में क्या करना है: …" त्रुटि संदेश?

मैं लिनक्स पर ग्रहण के हेलियस ईई बंडल चला रहा हूं, जिसके लिए मैंने विरोधाभासी प्लगइन्स, एम 2 ए मैवेन इंटीग्रेशन और ट्रेक के लिए माइलिन कनेक्टर को जोड़ा। पिछले कुछ हफ्तों के लिए मैं अपडेट स्थापित करने का प्रयास कर रहा था, और हर बार जब मैं एक संदेश वापस प्राप्त करता हूं

No repository found containing <something or other> 

नवीनतम एक था

 An error occurred while collecting items to be installed session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: osgi.bundle,org.eclipse.team.svn,0.7.9.I20110318-1700 No repository found containing: osgi.bundle,org.eclipse.team.svn.core,0.7.9.I20110523-1700 No repository found containing: osgi.bundle,org.eclipse.team.svn.help,0.7.9.I20110318-1700 No repository found containing: osgi.bundle,org.eclipse.team.svn.mylyn,0.7.9.I20110318-1700 No repository found containing: osgi.bundle,org.eclipse.team.svn.ui,0.7.9.I20110523-1700 No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn,0.7.9.I20110523-1700 No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.mylyn,0.7.9.I20110523-1700 No repository found containing: org.eclipse.update.feature,org.eclipse.team.svn.resource.ignore.rules.jdt,0.7.9.I20110523-1700 

यह सब क्या मतलब है और मैं इसे कैसे ठीक करूँ? यदि ग्रहण नई फ़ाइलों की जांच के लिए रिपॉजिटरी से संपर्क करने में सक्षम है, तो उन फ़ाइलों को उन कुछ रिपॉजिटरी से डाउनलोड करने में सक्षम क्यों नहीं हैं? या क्या त्रुटि संदेश का मतलब पूरी तरह से अलग है?

Solutions Collecting From Web of "एक्लिप्स के "कोई रिपॉजिटरी में शामिल होने के बारे में क्या करना है: …" त्रुटि संदेश?"

शीघ्र जवाब

सहायता → नए सॉफ्टवेयर को स्थापित करें → यहां क्लिक करें "आवश्यक सॉफ़्टवेयर खोजने के लिए इंस्टॉल के दौरान सभी अपडेट साइट से संपर्क करें"

ग्रहण यह संकेत देगा कि सामग्री अधिकृत नहीं है या ऐसा कुछ। बस अनदेखा करें और जारी रखें तो सब ठीक हो जाएगा।

कम से कम इस चाल में मेरी समस्याएं इसी तरह से हल हुईं:

सत्र संदर्भ स्थापित करने के लिए वस्तुओं को इकट्ठा करते समय एक त्रुटि हुई: (प्रोफ़ाइल = epp.package.jee, चरण = org.eclipse.equinox.internal.p2.engine.phases.Collect, operand =, action =)। कोई रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf, 2.6.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए नहीं हैं: osgi.bundle, org.eclipse.emf.ant, 2.7.0.v20120917-0436 कोई भंडार प्राप्त नहीं मिला : osgi.bundle, org.eclipse.emf.codegen, 2.8.0.v20120917-0436 कोई भी रिपॉज़िटरी पाए नहीं पाया गया है: osgi.bundle, org.eclipse.emf.codegen.ecore, 2.8.1.v20120917-0436 कोई भंडारित युक्त नहीं पाया गया : osgi.bundle, org.eclipse.emf.codegen.ecore.ui, 2.8.0.v20120917-0436 किसी भी रिपोजिटरी से युक्त नहीं पाया गया: osgi.bundle, org.eclipse.emf.codegen.ui, 2.6.0.v20120917-0436 कोई रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.common, 2.8.0.v20120911-0500 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.common.ui, 2.7.0.v20120917-0436 कोई भी रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.converter, 2.5.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.databinding, 1.2.0.v20120917-0436 कोई रिपॉज़िटरी नहीं युक्त युक्त: osgi.bundle, org.eclipse.emf.databinding.edit, 1.2.0.v20120917-0436 कोई रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.ecore, 2.8.1.v20120911-0500 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.ecore.change, 2.8.0.v20120911-0500 कोई भी रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.ecore.change.edit, 2.5.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.ecore.edit, 2.8.0 .v20120917-0436 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.ecore.editor, 2.8.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.ecore.xmi, 2.8 .0.v20120911-0500 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.edit, 2.8.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.edit.ui, 2.8 .0.v20120917-0436 कोई भी रिपॉजिटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.exporter, 2.6.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.importer, 2.7.0 .v20120917-0436 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.importer.ecore, 2.6.0.v20120 917-0436 किसी भंडार में पाए गए नहीं: osgi.bundle, org.eclipse.emf.importer.java, 2.6.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.importer.rose, 2.6। 0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए नहीं: osgi.bundle, org.eclipse.emf.mapping, 2.7.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.mapping.ecore, 2.6। 0.v20120917-0436 नहीं मिला कोई रिपॉजिटरी पाया: osgi.bundle, org.eclipse.emf.mapping.ecore.editor, 2.6.0.v20120917-0436 नहीं मिला भंडार में शामिल: osgi.bundle, org.eclipse.emf.mapping ecore2ecore, 2.7.0.v20120917-0436 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.mapping.ecore2ecore.editor, 2.5.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse। emf.mapping.ecore2xml, 2.7.0.v20120917-0436 कोई भी रिपॉज़िटरी नहीं पाए गए: osgi.bundle, org.eclipse.emf.mapping.ecore2xml.ui, 2.6.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: osgi.bundle, org.eclipse.emf.mapping.ui, 2.6.0.v20120917-0436 कोई रिपॉज़िटरी नहीं युक्त युक्त: osgi.bundle, org.eclipse.wst.common.project.facet.core, 1.4.300.v201111030424 कोई भी रिपॉज़िटरी पाए नहीं है: osgi.bundle, org.eclipse.wst.common.project.facet.ui, 1.4 .300.v201111030424 कोई भी रिपॉज़िटरी नहीं पाए गए: org.eclipse.update.feature, org.eclipse.emf.codegen.ecore, 2.8.1.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse .emf.codegen.ecore.ui, 2.8.0.v20120917-0436 किसी भी रिपॉज़िटरी से युक्त नहीं पाया गया: org.eclipse.update.feature, org.eclipse.emf.codegen, 2.8.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: संगठन .eclipse.update.feature, org.eclipse.emf.codegen.ui, 2.7.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse.emf.common, 2.8.0.v20120911 -0500 कोई भंडार नहीं मिला जिसमें पाया गया: org.eclipse.update.feature, org.eclipse.emf.common.ui, 2.7.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse.emf । कनवर्टर, 2.8.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update .feature, org.eclipse.emf.databinding.edit, 1.2.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse.emf.databinding, 1.2.0.v20120917-0436 कोई रिपॉज़िटरी नहीं युक्त युक्त: org.eclipse.update.feature, org.eclipse.emf.ecore.edit, 2.8.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse.emf.ecore.editor , 2.8.0.v20120917-0436 कोई भी रिपॉज़िटरी नहीं पाए गए: org.eclipse.update.feature, org.eclipse.emf.ecore, 2.8.1.v20120911-0500 कोई भी रिपॉज़िटरी नहीं पाए गए: org.eclipse.update.feature, org .eclipse.emf.edit, 2.8.0.v20120917-0436 कोई भी रिपॉज़िटरी से युक्त नहीं पाया गया: org.eclipse.update.feature, org.eclipse.emf.edit.ui, 2.8.0.v20120917-0436 इसमें कोई भी रिपॉज़िटरी पाए नहीं है: संगठन .eclipse.update.feature, org.eclipse.emf, 2.8.1.v20120917-0436 किसी भी रिपोजिटरी से युक्त नहीं पाया गया: org.eclipse.update.feature, org.eclipse.emf.mapping.ecore.editor, 2.7.0.v20120917 -0436 नहीं मिला भंडार में शामिल: org.eclipse.update.feature, org.eclipse.emf.mapping.ecore, 2.7 0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse.emf.mapping, 2.7.0.v20120917-0436 किसी भी रिपॉजिटरी में पाए गए: org.eclipse.update.feature, org.eclipse emf.mapping.ui, 2.7.0.v20120917-0436 किसी भी रिपॉज़िटरी में पाए गए: org.eclipse.update.feature, org.eclipse.wst.common.fproj, 3.4.0.v201202292300-377F8N8s735555393B7B

ईलिप्से में मूल बग की ओर इशारा करते हुए फ्रेडरिक के लिए धन्यवाद। रिचर्ड शू की एक टिप्पणी में कई उपलब्ध समाधान दिए गए हैं:

  1. जैसा कि मौरो ने कहा: "आपको ईलेप्से प्रोजेक्ट अपडेट साइट को निकालना होगा और फिर से जोड़ना होगा, ताकि इसकी मेटाडेटा पुनः गणना की जा सके।" – वैकल्पिक हल के रूप में काम करता है

  2. मैंने पाया कि एक अन्य वैकल्पिक हल, अद्यतन साइट यूआरएल के लिए सिर्फ एक अनुगामी "/" जोड़कर पूर्व-निर्धारित यूआरएल लिंक को संपादित करना है।

  3. तीसरा समाधान जिसे मैंने आकस्मिक रूप से खोजा है, कुछ भी नहीं करना है, लेकिन यूआरएल लिंक की जांच करने से पहले 'आवश्यक सॉफ़्टवेयर खोजने के लिए इंस्टाल करने के दौरान सभी अद्यतन साइटों को संपर्क करें' को अनचेक करना है।

विकल्प # 2 मेरे लिए काम किया मैं Window > Preferences > Install/Update > Available Software Sites , फिर प्रत्येक सक्षम साइट के लिए मैंने यूआरएल के अंत में (अगर यह पहले से नहीं था) जोड़ा था, फिर Reload क्लिक किया

एक्लिप्से में आपको एक बग का सामना करना पड़ता है

सौभाग्य से समाधान काफी आसान है, अद्यतन साइट को हटा दें और इसे फिर से स्थापित करें।

मैंने निम्न समाधान की मदद की:

  1. सहायता-> सॉफ्टवेयर अपडेट पर जाएं, फिर उपलब्ध सॉफ़्टवेयर टैब का चयन करें और साइट्स प्रबंधित करें बटन पर क्लिक करें
  2. साइटों को एक bookmarks.xml फ़ाइल में निर्यात करने के लिए निर्यात बटन का उपयोग करें
  3. अपने पसंदीदा पाठ संपादक में bookmarks.xml फ़ाइल को खोलें, और किसी भी साइट यूआरएल पर "/" जोड़ें जो अंत में "/" गायब हो या निकालें । परिवर्तनों को सुरक्षित करें।
  4. ईक्लिप्स के अंदर साइटें प्रबंधित करें में वापस, सभी साइटें चुनें और निकालें बटन पर क्लिक करें
  5. अब, संपादित बुकमार्क और XML फ़ाइल में आयात और लोड पर क्लिक करें

यह लिंक लिंकन डेवोन हिलेर्ड डिजिटल अभयारण्य से लिया गया था

ग्रहण में मिली अद्यतनों के पास निर्भरताएं हैं जिन्हें इंस्टॉलेशन के दौरान डाउनलोड करने की आवश्यकता है लेकिन जो वर्तमान में नहीं मिल सकते हैं। यह एक अस्थायी नेटवर्क समस्या हो सकती है या कुछ रेपो सर्वर नीचे जा रहा है (यदि आप भाग्यशाली हैं)। लेकिन दुर्भाग्यवश, कभी-कभी इसका मतलब यह है कि निर्भरताएं उन रिपॉजिटरी में शामिल नहीं होती हैं जो ग्रहण उन्हें डाउनलोड करने का प्रयास कर रही हैं, कम-से-कम यह है कि मैंने हर बार और फिर सामना किया (हालांकि annoyingly अक्सर नहीं)।

इसलिए या तो असफलता अस्थायी है और आपको फिर से प्रयास करना चाहिए या आप भाग्य से बाहर हैं और मैन्युअल स्थापना प्रक्रिया (प्लगइन्स फ़ोल्डर में डाउनलोड और अनपैक) का उपयोग करना पड़ सकता है।

हो सकता है कि आप रिपॉजिटरीज जोड़कर अपनी सफलता दर बढ़ा सकें, जो माना जाता है कि 'उपलब्ध सॉफ़्टवेयर साइट्स' संवाद में कलाकृतियों शामिल हैं।

मैं 100% यकीन है कि यद्यपि नहीं हूँ। वास्तव में, मैं खुद को इस सवाल का एक 'सही' जवाब ढूंढना चाहता हूं।

आमतौर पर एक्लिप्स मार्केटप्लेस के माध्यम से प्लगइन्स को स्थापित करने में काफी अच्छी तरह से काम करता है।

ओह, और कभी-कभी यह मदद करता है: कुछ विकल्पों को अनचेक करें (जैसे आपके केस में ओएसजीआई)।

मैं स्प्रिंग एसटीएस 3.6.3 के लिए एक्लिप्से लुना (4.4.1) में 3.6.4 संस्करण के लिए अपडेट करने का प्रयास कर रहा हूं और मैंने निम्न समाधान की कोशिश की और यह मेरे लिए काम किया:

  1. सहायता> नए सॉफ़्टवेयर स्थापित करें> उपलब्ध सॉफ़्टवेयर साइट पर जाएं
  2. सभी को अनचेक करें और केवल स्क्वाड्रोसर्स अपडेट साइट्स को ही ग्रहण करें, जो कि ग्रहण 4.4 के लिए है इसका मतलब यह है कि आप अपने ग्रहण के संस्करण के लिए केवल अपडेट साइट की जांच कर सकते हैं।
  3. और सत्यापित करें और अपने अपडेट करें

सरल!!!!!!!!

एclipse फ़ोल्डर पर राइट क्लिक करें और गुण पर जाएं। अनचेक चेकबॉक्स "केवल पढ़ने के लिए" यदि चेक किया गया परिवर्तन लागू करें। ओक क्लिक करें

जाने के बाद सहायता> नया सॉफ्टवेयर स्थापित करें> अनचेक करें "आवश्यक सॉफ़्टवेयर खोजने के लिए इंस्टॉल होने के दौरान सभी अपडेट साइट्स से संपर्क करें"।

जूनो (बिल्ड आईडी: 20130225-0426), "उपलब्ध सॉफ़्टवेयर साइट्स" से अद्यतन साइट्स को निर्यात करना, ऊपर वर्णित एक्सपोर्ट एक्सएमएल में अनुक्रमित "/" को ठीक करना, सभी साइटों को निकालने और तय एक्सएमएल आयात करना मेरे लिए काम करती है।

ग्रहण केप्लर (कम से कम) प्राथमिकताएं> इंस्टॉल / अद्यतन> उपलब्ध सॉफ़्टवेयर साइट्स संवाद में विशेष रूप से एक सॉफ़्टवेयर साइट को पुनः लोड करने की अनुमति देता है

यह समझाया गया कार्यवाही की तुलना में एक क्लीनर / सरल समाधान है (ट्रेलिंग स्लैश जोड़ें) और यह मेरे लिए काम किया …

नोट: इस संवाद का एक लिंक इंस्टॉल करें नया सॉफ्टवेयर संवाद में भी उपलब्ध है।

मेरे पास त्रुटि त्रुटि के साथ एक ही समस्या थी:

 session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: osgi.bundle,oracle.eclipse.tools.rest.lib,8.4.0.201510191754 

और समाधान ऑरकल एंटरप्राइज़ पैक को एक्लिप्स के लिए अक्षम करना है

इस पैकेज को अक्षम कैसे करें तस्वीर को देखें: यहां छवि विवरण दर्ज करें

अन्य उत्तरों में से कोई भी मेरे लिए काम नहीं करता (विंडोज 10, एक्लिपस नियॉन)। प्रशासक के रूप में ग्रहण चलाना इसे तय किया गया

मेरे पास एक ही समस्या थी लेकिन अपडेट करते समय मैंने इसे हल किया

  • विंडो में> वरीयताएँ-> इंस्टॉल करें / अपडेट-> उपलब्ध सॉफ़्टवेयर साइटें , उस साइट को चिह्नित करें जो समस्या पैदा कर रही है और पुनः लोड करें बटन को दबाएं।

ग्रहण नियॉन के लिए मुझे माइलिन के लिए उल्लिखित त्रुटि मिली थी

इसे काम करने के लिए मुझे माइलाइन साइटों को सक्षम करना पड़ा, जो कि उपलब्ध सॉफ़्टवेयर साइट्स प्राथमिकता फलक में अक्षम थे। उनका नाम (खाली नाम) था लेकिन उनके स्थान कॉलम के द्वारा पहचानने योग्य था।

माइलीन को अपडेट करने और ग्रहण को पुनरारंभ करने के बाद, उपलब्ध सॉफ़्टवेयर साइटें इस तरह दिखेंगी: उपलब्ध सॉफ़्टवेयर साइटें

मैंने पाया समाधान, अद्यतन साइट यूआरएल में सिर्फ एक अनुक्रमित "/" जोड़कर पूर्व-निर्धारित यूआरएल लिंक को संपादित करना है।

विकल्प # 2 मेरे लिए काम किया मैं खिड़की> वरीयताएँ> इंस्टॉल / अद्यतन> उपलब्ध सॉफ़्टवेयर साइट्स में गया था, फिर प्रत्येक सक्षम साइट के लिए मैंने यूआरएल के अंत में (अगर यह पहले से नहीं था) जोड़ा था, फिर पुनः लोड करने के लिए क्लिक किया

मेरे मामले में, एकमात्र समाधान एक मैनुअल इंस्टॉलेशन था (प्लगइन के पृष्ठ ने बताया कि इसे एक्लिप्से के सहायता मेनू से कैसे स्थापित किया गया और, वैकल्पिक रूप से, मैन्युअल रूप से ज़िप को खोलना था)।

Google App Engine SDK को स्थापित करने की कोशिश की, और इसी तरह की त्रुटियां प्राप्त कीं।
जवाब में से कोई भी मेरे लिए काम नहीं करता
मैंने देखा कि डाउनलोड 999 के आसपास लटका हुआ है, जबकि पूर्ण डाउनलोड लगभग 100 एमबी था।

किसी तरह छठे या सातवें समय के लिए कोशिश करने के बाद, समस्या खुद तय की 🙂
इसलिए यदि इनमें से कोई भी आपके लिए काम नहीं करता है .. कम से कम कई बार प्रयास करें, हो सकता है कि सर्वर ओवरलोड हो गया हो 🙂

केप्लर एसआर 1 से केप्लर एसआर 2 को अपडेट करना मेरे लिए यह हल किया मैंने अभी तक मौजूदा इंस्टॉलेशन में स्थापित किया है, इसलिए मेरी सेटिंग्स में से कोई भी क्षतिग्रस्त नहीं हुआ।

विन 8.1, 64 बिट

अंत में, कुछ को निकालना होगा मैं अन्य उत्तरों में जोड़ना चाहता हूं: संघर्षों की जांच करना सुनिश्चित करें मेरे लिए, ईएमएफ (एक्लिप्स मॉडलिंग फ्रेमवर्क) किसी तरह हाथ से बाहर निकल चुका था क्योंकि मेरे पास खिड़कियों / प्राथमिकताओं में कई संस्करण सूचीबद्ध थे I सामान्य रूप से आगे बढ़ने के लिए मेरे अपडेट के लिए अनुमति के विरोध को हटाने

मेरे मामले में मैं केवल एक विशेष अद्यतन साइट और ग्रहण-जावा-एमआर-आर के लिए उपरोक्त त्रुटियों को प्राप्त कर रहा था। अन्य अपडेट साइट मुझे अपडेट करने की इजाजत दे रही थी, और, एक्लिप्स के दूसरे संस्करणों का उपयोग करके मैं अपडेट साइट से स्थापित कर सकता था जो मेरे जावा मंगल आर एक्लिप्स के लिए समस्याएं पैदा कर रहा था।

कैश फ़ोल्डर को / यूज़र / आईमैन /। क्लॉप्से /org.eclipse.oomph.p2 में हटाने से समस्या हल (मेरे सहकर्मी, नहीं, इस समाधान के साथ आए)

जावा ई डेवलपर्स हेलियस के लिए एक्लिप्स में मैवेन समर्थन स्थापित करने पर मुझे यह मिला। समाधान सिर्फ एक्लिप्स् को प्रशासक के रूप में चलाने के लिए था, अद्यतन के बाद ठीक हो गया

मेरे मामले में मैं चयन कर रहा था

साथ काम करें: – सभी उपलब्ध साइटें–

इसके बजाय सूची में से केवल एक विशिष्ट साइट को चुनना (विंडोज पर नियॉन.264 बिट) चाल थी

मुझे विंडोज़ 10 पर एक ही समस्या थी एक्लिप्स साइट से डाउनलोड किए गए एक एक्सई से मेरा ग्रहण संस्करण स्थापित किया गया था।

मेरे लिए क्या हल किया गया था, इसके बजाय ज़िप संस्करण का उपयोग करना था: http://www.eclipse.org/downloads/eclipse-packages/

मैंने निम्न समाधान की मदद की:

सहायता-> सॉफ़्टवेयर अपडेट पर जाएं, फिर उपलब्ध सॉफ़्टवेयर टैब का चयन करें और साइट्स प्रबंधित करें बटन पर क्लिक करें। बुकमार्क बटन का उपयोग करें एक बुकमार्क। एक्सएमएल फ़ाइल में साइटों को निर्यात करने के लिए अपने पसंदीदा पाठ संपादक में बुकमार्क। एक्सएमएल फ़ाइल खोलें, और एक अनुगामी जोड़ें "/" किसी भी साइट यूआरएल में जो "/" लापता है या अंत में हटाएं परिवर्तनों को सुरक्षित करें। ईक्लीपसी के अंदर साइट्स को प्रबंधित करें, सभी साइट्स का चयन करें और अब निकालें बटन को क्लिक करें, आयातित बुकमार्क्स.एक्सएम फ़ाइल में आयात और लोड पर क्लिक करें

ऑक्सीजन के लिए, ग्रहण समुदाय मंच देखें:

"मेरे मामले में ऑक्सीजन के रूप में Buidship के लिए अद्यतन यूआरएल था: http://download.eclipse.org/buildship/updates/e46/releases/2.x

नोट: कि e46 है प्रति पृष्ठ नीयन संस्करण https://github.com/eclipse/buildship/blob/master/docs/user/Installation.md

एक बार जब मैं ऑक्सीजन संस्करण (ई 47) को यूआरएल अपडेट करता हूं: http://download.eclipse.org/buildship/updates/e47/releases/2.x

अपडेट सफल था "

किसी भी बिंदु स्टूडियो (ग्रहण आईडीई का व्युत्पन्न) के लिए मुझे सब कुछ अक्षम करना पड़ा लेकिन खच्चर की अपनी साइटें यह आईडीई को अपडेट करने का एकमात्र तरीका था

जैसा कि मौरो ने कहा: "आपको ईलेप्से प्रोजेक्ट अपडेट साइट को निकालना होगा और फिर से जोड़ना होगा, ताकि इसकी मेटाडेटा पुनः गणना की जा सके।" – वैकल्पिक हल के रूप में काम करता है